- Rediff patches to match git repository - 95fcoe: Check for FCoE devices prior to binaries * Modify 0055-95fcoe-Only-install-fcoe-module-if-required.patch - 99base: Install chown instead of chgrp * Modify 0052-99base-Add-chown-binary.patch - 95iscsi: do not try to detect iSCSI firmware during booting; should be handled via commandline parameter * Modify 0030-95iscsi-Autodetect-iSCSI-firmware.patch - Rename patch: * old: 0051-mkinitrd-suse-add-update-booloader-message.patch new: 0051-mkinitrd-suse-add-update-bootloader-message.patch OBS-URL: https://build.opensuse.org/request/show/236229 OBS-URL: https://build.opensuse.org/package/show/Base:System/dracut?expand=0&rev=157
39 lines
1.3 KiB
Diff
39 lines
1.3 KiB
Diff
From d2b5184bf73bbce848fb3aca10ac7e33f6b65a27 Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Tue, 13 May 2014 11:01:29 +0200
|
|
Subject: [PATCH] 95fcoe: update fcoe interface check
|
|
|
|
The 'create' sysfs entry has been removed for newer fcoe modules,
|
|
so just check if the module directory exists.
|
|
|
|
References: bnc#877288
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95fcoe/parse-fcoe.sh | 5 +----
|
|
1 file changed, 1 insertion(+), 4 deletions(-)
|
|
|
|
diff --git a/modules.d/95fcoe/parse-fcoe.sh b/modules.d/95fcoe/parse-fcoe.sh
|
|
index dc40c82..8e08303 100755
|
|
--- a/modules.d/95fcoe/parse-fcoe.sh
|
|
+++ b/modules.d/95fcoe/parse-fcoe.sh
|
|
@@ -22,14 +22,11 @@
|
|
|
|
|
|
# BRCM: Later, should check whether bnx2x is loaded first before loading bnx2fc so do not load bnx2fc when there are no Broadcom adapters
|
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
+[ -d /sys/module/fcoe ] || modprobe -a fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
|
|
modprobe bnx2fc >/dev/null 2>&1
|
|
udevadm settle --timeout=30
|
|
|
|
-# FCoE actually supported?
|
|
-[ -e /sys/module/fcoe/parameters/create ] || modprobe fcoe || die "FCoE requested but kernel/initrd does not support FCoE"
|
|
-
|
|
parse_fcoe_opts() {
|
|
local IFS=:
|
|
set $fcoe
|
|
--
|
|
1.8.4.5
|
|
|